	//----------TRewardScore开始----------
    
	using System;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
//using System.Data.Entity.ModelConfiguration;
using Ewide.WorkOrderSys.Entity.Base;
using System.Runtime.Serialization;
	namespace Ewide.WorkOrderSys.Entity
	{	
        /// <summary>
        /// 数据表实体类：TRewardScore 
        /// </summary>
		[Table("TRewardScore")]
        public partial class TRewardScore: BaseEntity        {    
		                    /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
				[Key]
								[Column("ID")]   
				[DataMember]  
			    public string ID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("UserID")]   
				[DataMember]  
			    public string UserID  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Date")]   
				[DataMember]  
			    public DateTime Date  {get;set;}   
                                /// <summary>
                /// 评分类型1:表扬(加分)2:批评(扣分)
                /// </summary>    
				
				[Display(Name="评分类型1:表扬(加分)2:批评(扣分)")]   
								[Column("Type")]   
				[DataMember]  
			    public int Type  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Score")]   
				[DataMember]  
			    public decimal Score  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("Desc")]   
				[DataMember]  
			    public string Desc  {get;set;}   
                                /// <summary>
                /// 无描述
                /// </summary>    
				
				[Display(Name="无描述")]   
								[Column("CreateUserID")]   
				[DataMember]  
			    public string CreateUserID  {get;set;}   
                 
		  }

		  /**
            /// <summary>
            /// 数据表实体类Map：TRewardScore 
            /// </summary>
            public class TRewardScoreMap : EntityTypeConfiguration<TRewardScore>
			{
                public TRewardScoreMap()
                {
					this.ToTable("TRewardScore");
												this.HasKey(t => t.ID);
													 this.Property(t => t.UserID).HasColumnName("UserID").IsRequired();
													 this.Property(t => t.Date).HasColumnName("Date").IsRequired();
													 this.Property(t => t.Type).HasColumnName("Type").IsRequired();
													 this.Property(t => t.Score).HasColumnName("Score").IsRequired();
													 this.Property(t => t.Desc).HasColumnName("Desc");
													 this.Property(t => t.CreateTime).HasColumnName("CreateTime").IsRequired();
													 this.Property(t => t.CreateUserID).HasColumnName("CreateUserID").IsRequired();
										}
			}**/

	}

	//----------TRewardScore结束----------

	